import junit.framework.TestCase;

public class MultiValueMapTest extends TestCase {

  MultiValueMap<String, String> _map;

  @Override protected void setUp() throws Exception {
    _map = new MultiValueMap<String, String>();
  }

  public void testMapEmptyUponCreate() {
    assertEquals(0, _map.getSize());
  }

  public void testGetValueForNonExistentKey() {
    assertEquals(0, _map.getValues("nope").size());
  }
  
  public void testPutOneValueForAKey() {
    _map.put("1", "one");
    assertEquals("one", _map.getValues("1").get(0));
  }
}
